﻿@using Jumbula.Common.Helper
@model SportsClub.Models.Register.SubscriptionRegisterModel

@{
    Layout = null;
}

@Html.Partial("_SubscriptionPrices", Model.Price)

@{
    var counter = 0;
}

@Html.HiddenFor(model => model.EnableDropIn)

<div class="schedule full-width">

    <div class="row-fluid content " style="display: block;">

        <div class="col-sm-7 tuitions no-charge">

            @if (Model.EnableDropIn && Model.DropInSessionPrice >= 0 && Model.DropInLabel != null)
            {
                <div class="tuition current">

                    <label>
                        <span class="check tuition-select jbi-check-box">
                            <input class="drop-in" id="dropInOption" type="checkbox" name="chargeEntryFee" value="" data-chargeid="" data-parent-charge="-10" data-scheduleid="@Model.ScheduleId" data-schedule-title="" data-category="EntryFee" data-subcategory="charge" data-amount="0" data-mandatory="False" data-name="">
                        </span>
                        <span class="title ellipsis tuition-label" title="@Model.DropInLabel">@Model.DropInLabel</span>

                        <input data-val="true" data-val-number="The field ChangedPrice must be a number." id="changedTutionPrice-301515" name="ProgramSchedules[0].Charges[1].ChangedPrice" type="hidden" value="301515">


                        <input id="ischangedTutionPrice-331522" name="ProgramSchedules[0].Charges[1].IsPriceChanged" type="hidden" value="False">
                        @if (!Model.EnablePriceHidden)
                        {
                        <span class="price" id="lbl_price_301515" style="padding-left:20px">
                            <span class="amount">
                                @Html.FormatCurrencyWithPenny(Model.DropInSessionPrice)
                            </span>
                        </span>
                        }
                    </label>

                    <div class="clearfix"></div>
                </div>
            }
        </div>
    </div>

    <div class="clearfix"></div>
</div>

<div id="classDays" class="tourny-reg-section">
    <h5>
        Select class days
    </h5>

    <div class="checkbox">

        @for (int i = 0; i < Model.Days.Count(); i++)
        {
            <label>
                @Html.CheckBoxFor(m => m.Days[i].IsChecked, new { @id = string.Format("day_{0}", counter), @class = "day-item", data_day = Model.Days[i].Day })
                <span class="check"></span>
                @Html.LabelFor(m => m.Days[i], Model.Days[i].Title, new { @for = string.Format("day_{0}", counter) })
            </label>

            <div class="clearfix"></div>
            counter++;
        }

    </div>

    <label class="margin-left20 req-star" for="DesiredStartDate">Desired start date</label>
    <span class="k-widget k-datepicker k-header form-control txt-group-filter">
        <span class="k-picker-wrap k-state-default">
            <input class="form-control txt-group-filter k-input" data-val="true" data-val-date="The field StartDate must be a date." id="DesiredStartDate2" name="DesiredStartDate2" type="text" data-role="datepicker" role="combobox" aria-expanded="false" aria-owns="StartDate_dateview" aria-disabled="false" aria-readonly="false" aria-activedescendant="48005fc6-dd17-47a4-a59a-1440708ca4d1_cell_selected">
            <span unselectable="on" class="k-select" role="button" aria-controls="StartDate_dateview">
                <span unselectable="on" class="k-icon k-i-calendar">select</span>
            </span>
        </span>
    </span>
</div>

<div id="calendar" style="display: none;" class="tourny-reg-section">

</div>

<div class="clearfix"></div>

<script type="text/javascript">

    $(document).ready(function () {

        var subscriptionMode = 'Normal';


        $("#DesiredStartDate2").kendoDatePicker({ "format": "M/d/yyyy", "min": new Date(1900, 0, 1, 0, 0, 0, 0), "max": new Date(2099, 11, 31, 0, 0, 0, 0) });


        $("#DesiredStartDate2").change(function () {

            var desiredStartDate = $("#DesiredStartDate2").val();

            $("#desiredStartDate").val(desiredStartDate);

            updateScheduleDate(desiredStartDate);
        })
    });


    var updateScheduleDate = function (desiredStartDate) {
        var selectedChargeId = 0;
        $('.tuition-select').each(function (e) {

            if ($(this).hasClass('jbi-checked-box')) {
                selectedChargeId = $(this).find('input[name=chargeEntryFee]').val();
            }
        })

        $.ajax({
            method: "GET",
            dataType: 'json',
            url: "/Register/GetScheduleFromDesiredDate",
            data: {
                desiredStartDate: desiredStartDate,
                programId: $('#ProgramId').val(),
                selectedChargeId: selectedChargeId
            },
            success: function (data) {
                if (data.HasError) {
                    toastr.error(data.ErrorMessage);
                }
                else {
                    $('.tuition-select').each(function (e) {
                        selectedChargeId = $(this).find('input[name=chargeEntryFee]').attr('data-schedule-title', data.ScheduleDate);
                    })

                    $('#cheoutboxContainer').find('.section-title').html(data.ScheduleDate);
                    $("#scheduleDate").val(data.ScheduleDate);
                }
            },
            error: function () {
            },
            complete: function () {
            }
        })
    }

    $('.drop-in').click(function () {

        if ($(this).is(':checked')) {
            var scheduleId = $(this).data('scheduleid');

            $.ajax({
                method: "POST",
                dataType: 'html',
                url: "/Register/Calendar",
                data: {
                    scheduleId: scheduleId,
                    programId: $('#ProgramId').val(),
                },
                beforeSend: function () {
                    blockUI();
                },
                success: function (data) {
                    $('#calendar').html(data);
                },
                error: function () {
                    unblockUI();
                },
                complete: function () {
                    unblockUI();
                }
            })
        }
    })
</script>
